﻿package com.manpower.document{

	import com.greensock.TweenLite;
	import com.greensock.easing.*;
	import com.greensock.text.SplitTextField;
	import com.greensock.plugins.TintPlugin;
	import com.greensock.plugins.TweenPlugin;
	import flash.text.TextField;
	import flash.display.MovieClip;
	import flash.events.Event;
	import flash.events.MouseEvent;
	import flash.display.Shape;
	import flash.display.DisplayObject;
	import com.manpower.util.ClickArea;
	import flash.utils.getDefinitionByName;
	

	public class MainShell_180x150 extends MovieClip {

		// PRIVATE PROPERTIES ---------------------------		
		public var clickArea    		: ClickArea;
		public var border				: Shape;

		public var copyWhite			: DisplayObject;
		public var splitText			: SplitTextField;
		
		//--------------------------------------------------------------------------
		//  constructor
		//--------------------------------------------------------------------------

		public function MainShell_180x150() {
			init();
		}

		//--------------------------------------------------------------------------
		//  init
		//--------------------------------------------------------------------------

		private function init():void {
						
			clickArea = new ClickArea( loaderInfo, stage, 180, 150 );
			addChild( clickArea );
			line1_mc.alpha = line2_mc.alpha = line3_mc.alpha = 0;
			
			border = new Shape();
			border.graphics.lineStyle(1,0x546f85);
			border.graphics.drawRect(0, 0,179, 149);
			addChild(border);
			
			TweenLite.delayedCall( .5, line1 );
			TweenLite.from( wholeChair_mc, 5, { x:8, y:-134, delay:.75, scaleX:1.15, scaleY:1.15 });
			TweenLite.from(logo_mc, .5, { alpha:0,delay:8});
		}
		
		
		private function line1():void{
			
			line1_mc.alpha = 1;
			textEffect(line1_mc, line1_mc.txt1);
			textEffect(line1_mc, line1_mc.txt2);
			TweenLite.delayedCall( 2.5, zoomChair )
			TweenLite.delayedCall( 2.5, line2 )
		}
		
		private function line2():void{
			TweenLite.to(line1_mc, .5, { alpha: 0 });
			line2_mc.alpha = 1;
			textEffect(line2_mc, line2_mc.txt1);
			textEffect(line2_mc, line2_mc.txt2);
			textEffect(line2_mc, line2_mc.txt3);
			TweenLite.delayedCall( 4, line3 )
		}
		
		private function line3():void{
			TweenLite.to(line2_mc, .5, { alpha: 0 });
			line3_mc.alpha = 1;
			textEffect(line3_mc, line3_mc.txt1, true);
			textEffect(line3_mc, line3_mc.txt2, true);
			textEffect(line3_mc, line3_mc.txt3);
			textEffect(line3_mc, line3_mc.txt4);

		}
		
		private function textEffect( mc:MovieClip, tf:TextField, blue:Boolean = false ):void{
			
			splitText = new SplitTextField(tf);
			var whiteClass:Class = (getDefinitionByName("copyWhite") as Class);
			var blueClass:Class = (getDefinitionByName("copyBlue") as Class);			
			for (var i:int = splitText.textFields.length - 1; i > -1; i--) {
					
					if(blue == false){
						copyWhite = mc.addChild(new whiteClass());
					}else{
						copyWhite = mc.addChild(new blueClass());
					}
                	copyWhite.y = tf.y;
               		copyWhite.mask = splitText.textFields[i];
                	TweenLite.from(splitText.textFields[i], .5, { delay: (.2 + (1 * (Math.random() - .5))), y: 25, alpha: 0 });
				}
		}
		
		private function animate():void {
			TweenLite.delayedCall( 2, zoomChair )
		}
		
		private function zoomChair():void {
			TweenLite.delayedCall( 1.5, wholeChair_mc.chair_mc.gotoAndPlay, ["animate"]);
			TweenLite.delayedCall( 1.8, wholeChair_mc.leaves_mc.gotoAndPlay, ["animate"]);
			TweenLite.delayedCall( 2, wholeChair_mc.flowers_mc.gotoAndPlay, ["animate"]);
			TweenLite.delayedCall( 5.5, cta.gotoAndPlay, [0] );
			TweenLite.delayedCall( 6.5, activateRollover );
		}
		
		private function activateRollover(event:MouseEvent = null):void
		{
			clickArea.addEventListener( MouseEvent.MOUSE_OVER, ctaOver);
		}
		
		private function ctaOver(event:MouseEvent = null):void
		{
			clickArea.addEventListener( MouseEvent.MOUSE_OUT, ctaOut);
			clickArea.removeEventListener( MouseEvent.MOUSE_OVER, ctaOver);
			cta.gotoAndPlay("over");
		}
		
		private function ctaOut(event:MouseEvent = null):void
		{
			clickArea.removeEventListener( MouseEvent.MOUSE_OUT, ctaOut);
			clickArea.addEventListener( MouseEvent.MOUSE_OVER, ctaOver);
			cta.gotoAndPlay("out");
		}
	}
}